#pragma once
#include <luna/LinkedList.h>
#include <ui/Canvas.h>
#include <ui/Color.h>
#include <ui/Rect.h>

struct Window : public LinkedListNode<Window>
{
    ui::Rect surface;
    ui::Color color;

    Window(ui::Rect, ui::Color);

    void focus();

    void draw(ui::Canvas& screen);
};

extern LinkedList<Window> g_windows;
